5039d57c4b276db2dc2c873ef91baeb22a68031c
[scilab.git] / scilab / modules / ui_data / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) DIGITEO - 2010 - Allan CORNET
20 #
21 # Copyright (C) 2012 - 2016 - Scilab Enterprises
22 #
23 # This file is hereby licensed under the terms of the GNU GPL v2.0,
24 # pursuant to article 5.3.4 of the CeCILL v.2.1.
25 # This file was originally licensed under the terms of the CeCILL v2.1,
26 # and continues to be available under such terms.
27 # For more information, see the COPYING file which you should have received
28 # along with this program.
29 #
30
31 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
32 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
33 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
34 #
35 # Copyright (C) 2012 - 2016 - Scilab Enterprises
36 #
37 # This file is hereby licensed under the terms of the GNU GPL v2.0,
38 # pursuant to article 5.3.4 of the CeCILL v.2.1.
39 # This file was originally licensed under the terms of the CeCILL v2.1,
40 # and continues to be available under such terms.
41 # For more information, see the COPYING file which you should have received
42 # along with this program.
43 #
44
45 ##########
46 ### Makefile included stuff
47 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
48 ##########
49
50
51 VPATH = @srcdir@
52 am__is_gnu_make = { \
53   if test -z '$(MAKELEVEL)'; then \
54     false; \
55   elif test -n '$(MAKE_HOST)'; then \
56     true; \
57   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
58     true; \
59   else \
60     false; \
61   fi; \
62 }
63 am__make_running_with_option = \
64   case $${target_option-} in \
65       ?) ;; \
66       *) echo "am__make_running_with_option: internal error: invalid" \
67               "target option '$${target_option-}' specified" >&2; \
68          exit 1;; \
69   esac; \
70   has_opt=no; \
71   sane_makeflags=$$MAKEFLAGS; \
72   if $(am__is_gnu_make); then \
73     sane_makeflags=$$MFLAGS; \
74   else \
75     case $$MAKEFLAGS in \
76       *\\[\ \   ]*) \
77         bs=\\; \
78         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
79           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
80     esac; \
81   fi; \
82   skip_next=no; \
83   strip_trailopt () \
84   { \
85     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
86   }; \
87   for flg in $$sane_makeflags; do \
88     test $$skip_next = yes && { skip_next=no; continue; }; \
89     case $$flg in \
90       *=*|--*) continue;; \
91         -*I) strip_trailopt 'I'; skip_next=yes;; \
92       -*I?*) strip_trailopt 'I';; \
93         -*O) strip_trailopt 'O'; skip_next=yes;; \
94       -*O?*) strip_trailopt 'O';; \
95         -*l) strip_trailopt 'l'; skip_next=yes;; \
96       -*l?*) strip_trailopt 'l';; \
97       -[dEDm]) skip_next=yes;; \
98       -[JT]) skip_next=yes;; \
99     esac; \
100     case $$flg in \
101       *$$target_option*) has_opt=yes; break;; \
102     esac; \
103   done; \
104   test $$has_opt = yes
105 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
106 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
107 pkgdatadir = $(datadir)/@PACKAGE@
108 pkgincludedir = $(includedir)/@PACKAGE@
109 pkglibdir = $(libdir)/@PACKAGE@
110 pkglibexecdir = $(libexecdir)/@PACKAGE@
111 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
112 install_sh_DATA = $(install_sh) -c -m 644
113 install_sh_PROGRAM = $(install_sh) -c
114 install_sh_SCRIPT = $(install_sh) -c
115 INSTALL_HEADER = $(INSTALL_DATA)
116 transform = $(program_transform_name)
117 NORMAL_INSTALL = :
118 PRE_INSTALL = :
119 POST_INSTALL = :
120 NORMAL_UNINSTALL = :
121 PRE_UNINSTALL = :
122 POST_UNINSTALL = :
123 build_triplet = @build@
124 host_triplet = @host@
125 @GIWS_TRUE@am__append_1 = giws
126 @SWIG_TRUE@am__append_2 = swig
127 @GUI_TRUE@am__append_3 = libsciui_data.la
128 @NEED_JAVA_TRUE@am__append_4 = java
129 subdir = modules/ui_data
130 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
131 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
132         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
133         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
134         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
135         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
136         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
137         $(top_srcdir)/m4/intel_compiler.m4 \
138         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
139         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
140         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
141         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
142         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
143         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
144         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
145         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
146         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
147         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
148         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
149 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
150         $(ACLOCAL_M4)
151 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
152 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
153 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
154 CONFIG_CLEAN_FILES =
155 CONFIG_CLEAN_VPATH_FILES =
156 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
157 am__vpath_adj = case $$p in \
158     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
159     *) f=$$p;; \
160   esac;
161 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
162 am__install_max = 40
163 am__nobase_strip_setup = \
164   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
165 am__nobase_strip = \
166   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
167 am__nobase_list = $(am__nobase_strip_setup); \
168   for p in $$list; do echo "$$p $$p"; done | \
169   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
170   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
171     if (++n[$$2] == $(am__install_max)) \
172       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
173     END { for (dir in files) print dir, files[dir] }'
174 am__base_list = \
175   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
176   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
177 am__uninstall_files_from_dir = { \
178   test -z "$$files" \
179     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
180     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
181          $(am__cd) "$$dir" && rm -f $$files; }; \
182   }
183 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
184         "$(DESTDIR)$(libsciui_data_la_etcdir)" \
185         "$(DESTDIR)$(libsciui_data_la_rootdir)" \
186         "$(DESTDIR)$(libsciui_data_la_iconsdir)"
187 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
188 libsciui_data_algo_la_LIBADD =
189 am__dirstamp = $(am__leading_dot)dirstamp
190 am__objects_1 = src/jni/libsciui_data_algo_la-ui_data_wrap.lo \
191         src/c/libsciui_data_algo_la-PutScilabVariable.lo
192 am__objects_2 = src/jni/libsciui_data_algo_la-BrowseVar.lo \
193         src/jni/libsciui_data_algo_la-EditVar.lo \
194         src/jni/libsciui_data_algo_la-FileBrowser.lo
195 am__objects_3 = src/cpp/libsciui_data_algo_la-BrowseVarManager.lo \
196         src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo
197 am_libsciui_data_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
198         $(am__objects_3)
199 libsciui_data_algo_la_OBJECTS = $(am_libsciui_data_algo_la_OBJECTS)
200 AM_V_lt = $(am__v_lt_@AM_V@)
201 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
202 am__v_lt_0 = --silent
203 am__v_lt_1 = 
204 @GUI_TRUE@am_libsciui_data_algo_la_rpath =
205 libsciui_data_disable_la_LIBADD =
206 am__objects_4 = src/noui_data/libsciui_data_disable_la-noui_data.lo
207 am_libsciui_data_disable_la_OBJECTS = $(am__objects_4)
208 libsciui_data_disable_la_OBJECTS =  \
209         $(am_libsciui_data_disable_la_OBJECTS)
210 am__DEPENDENCIES_1 =
211 libsciui_data_la_DEPENDENCIES = libsciui_data-algo.la \
212         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
213 am__objects_5 = sci_gateway/cpp/libsciui_data_la-sci_editvar.lo \
214         sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo \
215         sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo \
216         sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo \
217         sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo
218 am_libsciui_data_la_OBJECTS = $(am__objects_5)
219 libsciui_data_la_OBJECTS = $(am_libsciui_data_la_OBJECTS)
220 libsciui_data_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
221         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
222         $(AM_CXXFLAGS) $(CXXFLAGS) $(libsciui_data_la_LDFLAGS) \
223         $(LDFLAGS) -o $@
224 @GUI_TRUE@am_libsciui_data_la_rpath = -rpath $(pkglibdir)
225 AM_V_P = $(am__v_P_@AM_V@)
226 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
227 am__v_P_0 = false
228 am__v_P_1 = :
229 AM_V_GEN = $(am__v_GEN_@AM_V@)
230 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
231 am__v_GEN_0 = @echo "  GEN     " $@;
232 am__v_GEN_1 = 
233 AM_V_at = $(am__v_at_@AM_V@)
234 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
235 am__v_at_0 = @
236 am__v_at_1 = 
237 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
238 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
239 am__depfiles_maybe = depfiles
240 am__mv = mv -f
241 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
242         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
243 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
244         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
245         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
246         $(AM_CFLAGS) $(CFLAGS)
247 AM_V_CC = $(am__v_CC_@AM_V@)
248 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
249 am__v_CC_0 = @echo "  CC      " $@;
250 am__v_CC_1 = 
251 CCLD = $(CC)
252 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
253         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
254         $(AM_LDFLAGS) $(LDFLAGS) -o $@
255 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
256 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
257 am__v_CCLD_0 = @echo "  CCLD    " $@;
258 am__v_CCLD_1 = 
259 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
260         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
261 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
262         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
263         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
264         $(AM_CXXFLAGS) $(CXXFLAGS)
265 AM_V_CXX = $(am__v_CXX_@AM_V@)
266 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
267 am__v_CXX_0 = @echo "  CXX     " $@;
268 am__v_CXX_1 = 
269 CXXLD = $(CXX)
270 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
271         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
272         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
273 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
274 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
275 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
276 am__v_CXXLD_1 = 
277 SOURCES = $(libsciui_data_algo_la_SOURCES) \
278         $(libsciui_data_disable_la_SOURCES) \
279         $(libsciui_data_la_SOURCES)
280 DIST_SOURCES = $(libsciui_data_algo_la_SOURCES) \
281         $(libsciui_data_disable_la_SOURCES) \
282         $(libsciui_data_la_SOURCES)
283 am__can_run_installinfo = \
284   case $$AM_UPDATE_INFO_DIR in \
285     n|no|NO) false;; \
286     *) (install-info --version) >/dev/null 2>&1;; \
287   esac
288 DATA = $(libsciui_data_la_etc_DATA) $(libsciui_data_la_root_DATA) \
289         $(nobase_libsciui_data_la_icons_DATA)
290 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
291 # Read a list of newline-separated strings from the standard input,
292 # and print each of them once, without duplicates.  Input order is
293 # *not* preserved.
294 am__uniquify_input = $(AWK) '\
295   BEGIN { nonempty = 0; } \
296   { items[$$0] = 1; nonempty = 1; } \
297   END { if (nonempty) { for (i in items) print i; }; } \
298 '
299 # Make sure the list of sources is unique.  This is necessary because,
300 # e.g., the same source file might be shared among _SOURCES variables
301 # for different programs/libraries.
302 am__define_uniq_tagged_files = \
303   list='$(am__tagged_files)'; \
304   unique=`for i in $$list; do \
305     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
306   done | $(am__uniquify_input)`
307 ETAGS = etags
308 CTAGS = ctags
309 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
310         $(top_srcdir)/config/depcomp \
311         $(top_srcdir)/config/mkinstalldirs
312 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
313 ACLOCAL = @ACLOCAL@
314 ALL_LINGUAS = @ALL_LINGUAS@
315 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
316 AMTAR = @AMTAR@
317 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
318 ANT = @ANT@
319 ANTLR = @ANTLR@
320 AR = @AR@
321 ARPACK_LIBS = @ARPACK_LIBS@
322 ASM3 = @ASM3@
323 AUTOCONF = @AUTOCONF@
324 AUTOHEADER = @AUTOHEADER@
325 AUTOMAKE = @AUTOMAKE@
326 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
327 AWK = @AWK@
328 BATIK = @BATIK@
329 BLAS_CFLAGS = @BLAS_CFLAGS@
330 BLAS_LIBS = @BLAS_LIBS@
331 CC = @CC@
332 CCACHE = @CCACHE@
333 CCDEPMODE = @CCDEPMODE@
334 CFLAGS = @CFLAGS@
335 CHECKSTYLE = @CHECKSTYLE@
336 COBERTURA = @COBERTURA@
337 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
338 COMMONS_IO = @COMMONS_IO@
339 COMMONS_LOGGING = @COMMONS_LOGGING@
340 CPP = @CPP@
341 CPPFLAGS = @CPPFLAGS@
342 CURL_CFLAGS = @CURL_CFLAGS@
343 CURL_CONFIG = @CURL_CONFIG@
344 CURL_LIBS = @CURL_LIBS@
345 CURL_VERSION = @CURL_VERSION@
346 CXX = @CXX@
347 CXXCPP = @CXXCPP@
348 CXXDEPMODE = @CXXDEPMODE@
349 CXXFLAGS = @CXXFLAGS@
350 CYGPATH_W = @CYGPATH_W@
351 DEFS = @DEFS@
352 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
353 DEPDIR = @DEPDIR@
354 DLLTOOL = @DLLTOOL@
355 DOCBOOK_ROOT = @DOCBOOK_ROOT@
356 DOXYGEN_BIN = @DOXYGEN_BIN@
357 DSYMUTIL = @DSYMUTIL@
358 DUMPBIN = @DUMPBIN@
359 ECHO_C = @ECHO_C@
360 ECHO_N = @ECHO_N@
361 ECHO_T = @ECHO_T@
362 ECJ = @ECJ@
363 EGREP = @EGREP@
364 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
365 EXEEXT = @EXEEXT@
366 F77 = @F77@
367 FFLAGS = @FFLAGS@
368 FFTW3_LIB = @FFTW3_LIB@
369 FFTW_ENABLE = @FFTW_ENABLE@
370 FGREP = @FGREP@
371 FLEXDOCK = @FLEXDOCK@
372 FLIBS = @FLIBS@
373 FOP = @FOP@
374 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
375 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
376 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
377 FREEHEP_IO = @FREEHEP_IO@
378 FREEHEP_UTIL = @FREEHEP_UTIL@
379 GENHTML = @GENHTML@
380 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
381 GIWS_BIN = @GIWS_BIN@
382 GLUEGEN2_RT = @GLUEGEN2_RT@
383 GMSGFMT = @GMSGFMT@
384 GMSGFMT_015 = @GMSGFMT_015@
385 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
386 GREP = @GREP@
387 GUI_ENABLE = @GUI_ENABLE@
388 HAMCREST = @HAMCREST@
389 HAVE_CXX11 = @HAVE_CXX11@
390 HDF5_CFLAGS = @HDF5_CFLAGS@
391 HDF5_LIBS = @HDF5_LIBS@
392 HELP_ENABLE = @HELP_ENABLE@
393 INSTALL = @INSTALL@
394 INSTALL_DATA = @INSTALL_DATA@
395 INSTALL_PROGRAM = @INSTALL_PROGRAM@
396 INSTALL_SCRIPT = @INSTALL_SCRIPT@
397 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
398 INTLLIBS = @INTLLIBS@
399 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
400 JAR = @JAR@
401 JAVA = @JAVA@
402 JAVAC = @JAVAC@
403 JAVAC_DEBUG = @JAVAC_DEBUG@
404 JAVADOC = @JAVADOC@
405 JAVAH = @JAVAH@
406 JAVASCI_ENABLE = @JAVASCI_ENABLE@
407 JAVA_ENABLE = @JAVA_ENABLE@
408 JAVA_G = @JAVA_G@
409 JAVA_HOME = @JAVA_HOME@
410 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
411 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
412 JDB = @JDB@
413 JEUCLID_CORE = @JEUCLID_CORE@
414 JGRAPHX = @JGRAPHX@
415 JHALL = @JHALL@
416 JLATEXMATH = @JLATEXMATH@
417 JLATEXMATH_FOP = @JLATEXMATH_FOP@
418 JOGL2 = @JOGL2@
419 JROSETTA_API = @JROSETTA_API@
420 JROSETTA_ENGINE = @JROSETTA_ENGINE@
421 JUNIT4 = @JUNIT4@
422 LAPACK_LIBS = @LAPACK_LIBS@
423 LCOV = @LCOV@
424 LD = @LD@
425 LDFLAGS = @LDFLAGS@
426 LEX = @LEX@
427 LEXLIB = @LEXLIB@
428 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
429 LIBICONV = @LIBICONV@
430 LIBINTL = @LIBINTL@
431 LIBM = @LIBM@
432 LIBOBJS = @LIBOBJS@
433 LIBS = @LIBS@
434 LIBTOOL = @LIBTOOL@
435 LIPO = @LIPO@
436 LN_S = @LN_S@
437 LOGGING_LEVEL = @LOGGING_LEVEL@
438 LOOKS = @LOOKS@
439 LTLIBICONV = @LTLIBICONV@
440 LTLIBINTL = @LTLIBINTL@
441 LTLIBOBJS = @LTLIBOBJS@
442 MAINT = @MAINT@
443 MAKEINFO = @MAKEINFO@
444 MANIFEST_TOOL = @MANIFEST_TOOL@
445 MATIO_CFLAGS = @MATIO_CFLAGS@
446 MATIO_ENABLE = @MATIO_ENABLE@
447 MATIO_LIBS = @MATIO_LIBS@
448 MKDIR_P = @MKDIR_P@
449 MPI_ENABLE = @MPI_ENABLE@
450 MSGCAT = @MSGCAT@
451 MSGFMT = @MSGFMT@
452 MSGFMT_015 = @MSGFMT_015@
453 MSGMERGE = @MSGMERGE@
454 NM = @NM@
455 NMEDIT = @NMEDIT@
456 OBJDUMP = @OBJDUMP@
457 OBJEXT = @OBJEXT@
458 OCAMLC = @OCAMLC@
459 OCAMLDEP = @OCAMLDEP@
460 OCAMLLEX = @OCAMLLEX@
461 OCAMLOPT = @OCAMLOPT@
462 OCAMLYACC = @OCAMLYACC@
463 OPENMPI_CC = @OPENMPI_CC@
464 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
465 OPENMPI_CXX = @OPENMPI_CXX@
466 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
467 OPENMPI_LIBS = @OPENMPI_LIBS@
468 OPENMP_CFLAGS = @OPENMP_CFLAGS@
469 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
470 OPENMP_ENABLE = @OPENMP_ENABLE@
471 OPENMP_LIBS = @OPENMP_LIBS@
472 OTOOL = @OTOOL@
473 OTOOL64 = @OTOOL64@
474 PACKAGE = @PACKAGE@
475 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
476 PACKAGE_NAME = @PACKAGE_NAME@
477 PACKAGE_STRING = @PACKAGE_STRING@
478 PACKAGE_TARNAME = @PACKAGE_TARNAME@
479 PACKAGE_URL = @PACKAGE_URL@
480 PACKAGE_VERSION = @PACKAGE_VERSION@
481 PATH_SEPARATOR = @PATH_SEPARATOR@
482 PCRE_CFLAGS = @PCRE_CFLAGS@
483 PCRE_CONFIG = @PCRE_CONFIG@
484 PCRE_LIBS = @PCRE_LIBS@
485 PCRE_VERSION = @PCRE_VERSION@
486 PKG_CONFIG = @PKG_CONFIG@
487 POSUB = @POSUB@
488 POW_LIB = @POW_LIB@
489 PYTHON = @PYTHON@
490 RANLIB = @RANLIB@
491 RELOCATABLE = @RELOCATABLE@
492 RT_LIB = @RT_LIB@
493 SAXON = @SAXON@
494 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
495 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
496 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
497 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
498 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
499 SCIRENDERER = @SCIRENDERER@
500 SCIRENDERER_CP = @SCIRENDERER_CP@
501 SCI_CFLAGS = @SCI_CFLAGS@
502 SCI_CXXFLAGS = @SCI_CXXFLAGS@
503 SCI_FFLAGS = @SCI_FFLAGS@
504 SCI_LDFLAGS = @SCI_LDFLAGS@
505 SED = @SED@
506 SET_MAKE = @SET_MAKE@
507 SET_RELOCATABLE = @SET_RELOCATABLE@
508 SHELL = @SHELL@
509 SKINLF = @SKINLF@
510 SPLINT = @SPLINT@
511 STRIP = @STRIP@
512 SWIG_BIN = @SWIG_BIN@
513 SWIG_JAVA = @SWIG_JAVA@
514 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
515 SWIG_SCILAB = @SWIG_SCILAB@
516 TCLTK_LIBS = @TCLTK_LIBS@
517 TCL_INC_PATH = @TCL_INC_PATH@
518 TK_INC_PATH = @TK_INC_PATH@
519 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
520 UMFPACK_ENABLE = @UMFPACK_ENABLE@
521 UMFPACK_LIB = @UMFPACK_LIB@
522 USE_NLS = @USE_NLS@
523 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
524 VALGRIND_LIBS = @VALGRIND_LIBS@
525 VERSION = @VERSION@
526 WITH_OCAML = @WITH_OCAML@
527 WITH_TKSCI = @WITH_TKSCI@
528 XCOS_ENABLE = @XCOS_ENABLE@
529 XGETTEXT = @XGETTEXT@
530 XGETTEXT_015 = @XGETTEXT_015@
531 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
532 XMKMF = @XMKMF@
533 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
534 XML_APIS_EXT = @XML_APIS_EXT@
535 XML_CONFIG = @XML_CONFIG@
536 XML_FLAGS = @XML_FLAGS@
537 XML_LIBS = @XML_LIBS@
538 XML_VERSION = @XML_VERSION@
539 X_CFLAGS = @X_CFLAGS@
540 X_EXTRA_LIBS = @X_EXTRA_LIBS@
541 X_LIBS = @X_LIBS@
542 X_PRE_LIBS = @X_PRE_LIBS@
543 YACC = @YACC@
544 YFLAGS = @YFLAGS@
545 abs_builddir = @abs_builddir@
546 abs_srcdir = @abs_srcdir@
547 abs_top_builddir = @abs_top_builddir@
548 abs_top_srcdir = @abs_top_srcdir@
549 ac_ct_AR = @ac_ct_AR@
550 ac_ct_CC = @ac_ct_CC@
551 ac_ct_CXX = @ac_ct_CXX@
552 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
553 ac_ct_F77 = @ac_ct_F77@
554 am__include = @am__include@
555 am__leading_dot = @am__leading_dot@
556 am__quote = @am__quote@
557 am__tar = @am__tar@
558 am__untar = @am__untar@
559 bindir = @bindir@
560 build = @build@
561 build_alias = @build_alias@
562 build_cpu = @build_cpu@
563 build_os = @build_os@
564 build_vendor = @build_vendor@
565 builddir = @builddir@
566 cxx_present = @cxx_present@
567 datadir = @datadir@
568 datarootdir = @datarootdir@
569 docdir = @docdir@
570 dvidir = @dvidir@
571 exec_prefix = @exec_prefix@
572 host = @host@
573 host_alias = @host_alias@
574 host_cpu = @host_cpu@
575 host_os = @host_os@
576 host_vendor = @host_vendor@
577 htmldir = @htmldir@
578 includedir = @includedir@
579 infodir = @infodir@
580 install_sh = @install_sh@
581 libdir = @libdir@
582 libexecdir = @libexecdir@
583 localedir = @localedir@
584 localstatedir = @localstatedir@
585 mandir = @mandir@
586 mkdir_p = @mkdir_p@
587 oldincludedir = @oldincludedir@
588 pdfdir = @pdfdir@
589 prefix = @prefix@
590 program_transform_name = @program_transform_name@
591 psdir = @psdir@
592 sbindir = @sbindir@
593 sharedstatedir = @sharedstatedir@
594 srcdir = @srcdir@
595 sysconfdir = @sysconfdir@
596 target_alias = @target_alias@
597 top_build_prefix = @top_build_prefix@
598 top_builddir = @top_builddir@
599 top_srcdir = @top_srcdir@
600 yacc_present = @yacc_present@
601
602 #### Target ######
603 modulename = ui_data
604
605 #### ui_data : Conf files ####
606 libsciui_data_la_rootdir = $(mydatadir)
607 libsciui_data_la_root_DATA = license.txt
608
609 #### ui_data : init scripts ####
610 libsciui_data_la_etcdir = $(mydatadir)/etc
611 libsciui_data_la_etc_DATA = \
612         etc/newsfeed.css \
613         etc/newsfeed.xml \
614         etc/ui_data.quit \
615         etc/ui_data.start \
616         etc/variablebrowser_menubar.xml \
617         etc/variableeditor_menubar.xml \
618         etc/XConfiguration-variables.xml \
619         etc/XConfiguration-variables.xsl
620
621 UI_DATA_JNI_SOURCES = \
622     src/jni/BrowseVar.cpp \
623     src/jni/EditVar.cpp \
624         src/jni/FileBrowser.cpp
625
626 UI_DATA_C_SOURCES = \
627     src/jni/ui_data_wrap.c \
628     src/c/PutScilabVariable.c
629
630 UI_DATA_CXX_SOURCES = \
631     src/cpp/BrowseVarManager.cpp \
632     src/cpp/FileBrowserChDir.cpp
633
634 GIWS_WRAPPERS = \
635     src/jni/BrowseVar.giws.xml \
636     src/jni/EditVar.giws.xml \
637     src/jni/FileBrowser.giws.xml
638
639 SWIG_WRAPPERS = \
640     src/jni/ui_data.i
641
642 BUILT_SOURCES = $(am__append_1) $(am__append_2)
643 GATEWAY_CXX_SOURCES = \
644     sci_gateway/cpp/sci_editvar.cpp \
645     sci_gateway/cpp/sci_browsevar.cpp \
646     sci_gateway/cpp/sci_filebrowser.cpp \
647     sci_gateway/cpp/sci_updatebrowsevar.cpp \
648     sci_gateway/cpp/sci_closeEditvar.cpp
649
650 libsciui_data_la_CPPFLAGS = \
651     $(JAVA_JNI_INCLUDE) \
652     -I$(srcdir)/includes/ \
653     -I$(srcdir)/src/cpp/ \
654     -I$(srcdir)/src/c/ \
655     -I$(srcdir)/src/jni/ \
656     -I$(top_srcdir)/modules/ast/includes/ast/ \
657     -I$(top_srcdir)/modules/ast/includes/exps/ \
658     -I$(top_srcdir)/modules/ast/includes/operations/ \
659     -I$(top_srcdir)/modules/ast/includes/parse/ \
660     -I$(top_srcdir)/modules/ast/includes/symbol/ \
661     -I$(top_srcdir)/modules/ast/includes/system_env/ \
662     -I$(top_srcdir)/modules/ast/includes/types/ \
663     -I$(top_srcdir)/modules/ast/includes/analysis/ \
664     -I$(top_srcdir)/modules/jvm/includes/ \
665     -I$(top_srcdir)/modules/output_stream/includes/ \
666     -I$(top_srcdir)/modules/commons/src/jni/ \
667     -I$(top_srcdir)/modules/localization/includes/ \
668     -I$(top_srcdir)/modules/api_scilab/includes/ \
669     -I$(top_srcdir)/modules/fileio/includes/ \
670     -I$(top_srcdir)/modules/string/includes/ \
671     -I$(top_srcdir)/modules/dynamic_link/includes/ \
672     -I$(top_srcdir)/modules/threads/includes/ \
673     -I$(top_srcdir)/modules/console/includes/ \
674     $(AM_CPPFLAGS)
675
676
677 # Without the ui_data module
678 libsciui_data_disable_la_CPPFLAGS = \
679     -I$(srcdir)/includes/ \
680     -I$(top_srcdir)/modules/ast/includes/ast/ \
681     -I$(top_srcdir)/modules/ast/includes/exps/ \
682     -I$(top_srcdir)/modules/ast/includes/operations/ \
683     -I$(top_srcdir)/modules/ast/includes/parse/ \
684     -I$(top_srcdir)/modules/ast/includes/symbol/ \
685     -I$(top_srcdir)/modules/ast/includes/system_env/ \
686     -I$(top_srcdir)/modules/ast/includes/types/ \
687     -I$(top_srcdir)/modules/ast/includes/analysis/ \
688     -I$(top_srcdir)/modules/localization/includes/ \
689     -I$(top_srcdir)/modules/output_stream/includes \
690     $(AM_CPPFLAGS)
691
692 UI_DATA_DISABLE_C_SOURCES = src/noui_data/noui_data.c
693 libsciui_data_disable_la_SOURCES = $(UI_DATA_DISABLE_C_SOURCES)
694 pkglib_LTLIBRARIES = libsciui_data-disable.la $(am__append_3)
695 @GUI_TRUE@noinst_LTLIBRARIES = libsciui_data-algo.la
696 libsciui_data_la_LDFLAGS = $(AM_LDFLAGS)
697 libsciui_data_algo_la_SOURCES = $(UI_DATA_C_SOURCES) $(UI_DATA_JNI_SOURCES) $(UI_DATA_CXX_SOURCES)
698 libsciui_data_la_SOURCES = $(GATEWAY_CXX_SOURCES)
699 libsciui_data_algo_la_CPPFLAGS = $(libsciui_data_la_CPPFLAGS)
700
701 # For the code check (splint)
702 CHECK_SRC = $(UI_DATA_C_SOURCES)
703 INCLUDE_FLAGS = $(libsciui_data_la_CPPFLAGS)
704 libsciui_data_la_LIBADD = libsciui_data-algo.la $(X_LIBS) $(X_EXTRA_LIBS)
705
706 #### ui_data : gateway declaration ####
707 libsciui_data_la_sci_gatewaydir = $(mydatadir)/sci_gateway
708
709 #### ui_data : icons files ####
710 #
711 # Generated with:
712 #    $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png |sort -u
713 libsciui_data_la_iconsdir = $(mydatadir)/
714 nobase_libsciui_data_la_icons_DATA = \
715 images/icons/16x16/mimetypes/array_up.png \
716 images/icons/16x16/mimetypes/boolean.png \
717 images/icons/16x16/mimetypes/cell.png \
718 images/icons/16x16/mimetypes/double.png \
719 images/icons/16x16/mimetypes/fptr.png \
720 images/icons/16x16/mimetypes/function.png \
721 images/icons/16x16/mimetypes/handle.png \
722 images/icons/16x16/mimetypes/int.png \
723 images/icons/16x16/mimetypes/list.png \
724 images/icons/16x16/mimetypes/mlist.png \
725 images/icons/16x16/mimetypes/noicon.png \
726 images/icons/16x16/mimetypes/object.png \
727 images/icons/16x16/mimetypes/polynomial.png \
728 images/icons/16x16/mimetypes/sparse.png \
729 images/icons/16x16/mimetypes/string.png \
730 images/icons/16x16/mimetypes/timeseries.png \
731 images/icons/16x16/mimetypes/tlist.png \
732 images/icons/16x16/mimetypes/uint.png \
733 images/icons/16x16/mimetypes/user.png
734
735 @GUI_TRUE@USEANT = 1
736
737 # Where all the Scilab stuff is installed (macros, help, ...)
738 mydatadir = $(pkgdatadir)/modules/$(modulename)
739
740 # Set AM_* SCI detected settings
741 AM_CPPFLAGS = $(SCI_CPPFLAGS)
742 AM_CFLAGS = $(SCI_CFLAGS)
743 AM_CXXFLAGS = $(SCI_CXXFLAGS)
744 # append includes to AM_FFLAGS to manage fortran includes
745 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
746
747 # Tag shared libraries with the Scilab version
748 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
749
750 # splint options
751 SPLINT_OPTIONS = -weak -booltype BOOL
752
753 ########################### JAVA ######################################
754 #### We are delegating java compilation to ant... Thanks to that
755 #### the procedure will be the same with Microsoft Windows (C)
756 #### and Linux/Unix
757 #######################################################################
758 TARGETS_ALL = $(am__append_4)
759
760 ################ MACROS ######################
761 # Rule to build a macro
762 # NOT USED  AT THE MOMENT
763 SUFFIXES = .sci
764
765 ########### INSTALL DOCUMENTATION ###################
766
767 # Install documentation files into the right target
768 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
769 # automake needs the html files to be present which is not the case when
770 # we are building Scilab
771
772 # Where it should be installed
773 pkgdocdir = $(mydatadir)
774
775 # What is the mask of the help source
776 DOCMASKXML = *.xml
777
778 # What is the mask of the MathML sources
779 DOCMASKMML = *.mml
780
781 ########### INSTALL DATA ###################
782 # Install macros, help & demos
783 # Where it should be installed
784 pkgmacrosdir = $(mydatadir)
785 # Which directory we process
786 MACRODIRS = macros/
787 # Mask of the Scilab sources macros
788 MACROMASK = *.sci
789 # Mask of the Scilab executable sources macros
790 MACROBUILDMASK = *.sce
791 # Mask of the Scilab compiled macros
792 MACROBINMASK = *.bin
793 # List of the standard directory for tests
794 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
795 # Where the demos should be installed
796 pkgdemosdir = $(mydatadir)
797 # List of the standard directory for demos
798 DEMOS_DIR = demos
799 # List of the standard directory for examples
800 EXAMPLES_DIR = examples
801 # Where to export JAVA archives (.jar)
802 JARDIR = jar/
803 # JAR files mask
804 JARMASK = *.jar
805 # Chapter file
806 HELP_CHAPTERDIR = help/
807 HELP_CHAPTERFILE = addchapter.sce
808 HELP_CHAPTERLANG = en_US fr_FR pt_BR
809 all: $(BUILT_SOURCES)
810         $(MAKE) $(AM_MAKEFLAGS) all-am
811
812 .SUFFIXES:
813 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
814 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
815         @for dep in $?; do \
816           case '$(am__configure_deps)' in \
817             *$$dep*) \
818               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
819                 && { if test -f $@; then exit 0; else break; fi; }; \
820               exit 1;; \
821           esac; \
822         done; \
823         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/ui_data/Makefile'; \
824         $(am__cd) $(top_srcdir) && \
825           $(AUTOMAKE) --foreign modules/ui_data/Makefile
826 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
827         @case '$?' in \
828           *config.status*) \
829             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
830           *) \
831             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
832             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
833         esac;
834 $(top_srcdir)/Makefile.incl.am $(am__empty):
835
836 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
837         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
838
839 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
840         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
841 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
842         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
843 $(am__aclocal_m4_deps):
844
845 clean-noinstLTLIBRARIES:
846         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
847         @list='$(noinst_LTLIBRARIES)'; \
848         locs=`for p in $$list; do echo $$p; done | \
849               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
850               sort -u`; \
851         test -z "$$locs" || { \
852           echo rm -f $${locs}; \
853           rm -f $${locs}; \
854         }
855
856 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
857         @$(NORMAL_INSTALL)
858         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
859         list2=; for p in $$list; do \
860           if test -f $$p; then \
861             list2="$$list2 $$p"; \
862           else :; fi; \
863         done; \
864         test -z "$$list2" || { \
865           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
866           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
867           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
868           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
869         }
870
871 uninstall-pkglibLTLIBRARIES:
872         @$(NORMAL_UNINSTALL)
873         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
874         for p in $$list; do \
875           $(am__strip_dir) \
876           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
877           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
878         done
879
880 clean-pkglibLTLIBRARIES:
881         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
882         @list='$(pkglib_LTLIBRARIES)'; \
883         locs=`for p in $$list; do echo $$p; done | \
884               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
885               sort -u`; \
886         test -z "$$locs" || { \
887           echo rm -f $${locs}; \
888           rm -f $${locs}; \
889         }
890 src/jni/$(am__dirstamp):
891         @$(MKDIR_P) src/jni
892         @: > src/jni/$(am__dirstamp)
893 src/jni/$(DEPDIR)/$(am__dirstamp):
894         @$(MKDIR_P) src/jni/$(DEPDIR)
895         @: > src/jni/$(DEPDIR)/$(am__dirstamp)
896 src/jni/libsciui_data_algo_la-ui_data_wrap.lo:  \
897         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
898 src/c/$(am__dirstamp):
899         @$(MKDIR_P) src/c
900         @: > src/c/$(am__dirstamp)
901 src/c/$(DEPDIR)/$(am__dirstamp):
902         @$(MKDIR_P) src/c/$(DEPDIR)
903         @: > src/c/$(DEPDIR)/$(am__dirstamp)
904 src/c/libsciui_data_algo_la-PutScilabVariable.lo:  \
905         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
906 src/jni/libsciui_data_algo_la-BrowseVar.lo: src/jni/$(am__dirstamp) \
907         src/jni/$(DEPDIR)/$(am__dirstamp)
908 src/jni/libsciui_data_algo_la-EditVar.lo: src/jni/$(am__dirstamp) \
909         src/jni/$(DEPDIR)/$(am__dirstamp)
910 src/jni/libsciui_data_algo_la-FileBrowser.lo: src/jni/$(am__dirstamp) \
911         src/jni/$(DEPDIR)/$(am__dirstamp)
912 src/cpp/$(am__dirstamp):
913         @$(MKDIR_P) src/cpp
914         @: > src/cpp/$(am__dirstamp)
915 src/cpp/$(DEPDIR)/$(am__dirstamp):
916         @$(MKDIR_P) src/cpp/$(DEPDIR)
917         @: > src/cpp/$(DEPDIR)/$(am__dirstamp)
918 src/cpp/libsciui_data_algo_la-BrowseVarManager.lo:  \
919         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
920 src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo:  \
921         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
922
923 libsciui_data-algo.la: $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_DEPENDENCIES) $(EXTRA_libsciui_data_algo_la_DEPENDENCIES) 
924         $(AM_V_CXXLD)$(CXXLINK) $(am_libsciui_data_algo_la_rpath) $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_LIBADD) $(LIBS)
925 src/noui_data/$(am__dirstamp):
926         @$(MKDIR_P) src/noui_data
927         @: > src/noui_data/$(am__dirstamp)
928 src/noui_data/$(DEPDIR)/$(am__dirstamp):
929         @$(MKDIR_P) src/noui_data/$(DEPDIR)
930         @: > src/noui_data/$(DEPDIR)/$(am__dirstamp)
931 src/noui_data/libsciui_data_disable_la-noui_data.lo:  \
932         src/noui_data/$(am__dirstamp) \
933         src/noui_data/$(DEPDIR)/$(am__dirstamp)
934
935 libsciui_data-disable.la: $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_DEPENDENCIES) $(EXTRA_libsciui_data_disable_la_DEPENDENCIES) 
936         $(AM_V_CCLD)$(LINK) -rpath $(pkglibdir) $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_LIBADD) $(LIBS)
937 sci_gateway/cpp/$(am__dirstamp):
938         @$(MKDIR_P) sci_gateway/cpp
939         @: > sci_gateway/cpp/$(am__dirstamp)
940 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
941         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
942         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
943 sci_gateway/cpp/libsciui_data_la-sci_editvar.lo:  \
944         sci_gateway/cpp/$(am__dirstamp) \
945         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
946 sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo:  \
947         sci_gateway/cpp/$(am__dirstamp) \
948         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
949 sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo:  \
950         sci_gateway/cpp/$(am__dirstamp) \
951         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
952 sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo:  \
953         sci_gateway/cpp/$(am__dirstamp) \
954         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
955 sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo:  \
956         sci_gateway/cpp/$(am__dirstamp) \
957         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
958
959 libsciui_data.la: $(libsciui_data_la_OBJECTS) $(libsciui_data_la_DEPENDENCIES) $(EXTRA_libsciui_data_la_DEPENDENCIES) 
960         $(AM_V_CXXLD)$(libsciui_data_la_LINK) $(am_libsciui_data_la_rpath) $(libsciui_data_la_OBJECTS) $(libsciui_data_la_LIBADD) $(LIBS)
961
962 mostlyclean-compile:
963         -rm -f *.$(OBJEXT)
964         -rm -f sci_gateway/cpp/*.$(OBJEXT)
965         -rm -f sci_gateway/cpp/*.lo
966         -rm -f src/c/*.$(OBJEXT)
967         -rm -f src/c/*.lo
968         -rm -f src/cpp/*.$(OBJEXT)
969         -rm -f src/cpp/*.lo
970         -rm -f src/jni/*.$(OBJEXT)
971         -rm -f src/jni/*.lo
972         -rm -f src/noui_data/*.$(OBJEXT)
973         -rm -f src/noui_data/*.lo
974
975 distclean-compile:
976         -rm -f *.tab.c
977
978 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo@am__quote@
979 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo@am__quote@
980 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Plo@am__quote@
981 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo@am__quote@
982 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo@am__quote@
983 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo@am__quote@
984 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo@am__quote@
985 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo@am__quote@
986 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo@am__quote@
987 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo@am__quote@
988 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo@am__quote@
989 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo@am__quote@
990 @AMDEP_TRUE@@am__include@ @am__quote@src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo@am__quote@
991
992 .c.o:
993 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
994 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
995 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
996 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
997 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
998 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
999
1000 .c.obj:
1001 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1002 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1003 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
1004 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1005 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1006 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1007
1008 .c.lo:
1009 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1010 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1011 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
1012 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1013 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1014 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1015
1016 src/jni/libsciui_data_algo_la-ui_data_wrap.lo: src/jni/ui_data_wrap.c
1017 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/jni/libsciui_data_algo_la-ui_data_wrap.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo -c -o src/jni/libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
1018 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo
1019 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/ui_data_wrap.c' object='src/jni/libsciui_data_algo_la-ui_data_wrap.lo' libtool=yes @AMDEPBACKSLASH@
1020 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1021 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/jni/libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
1022
1023 src/c/libsciui_data_algo_la-PutScilabVariable.lo: src/c/PutScilabVariable.c
1024 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciui_data_algo_la-PutScilabVariable.lo -MD -MP -MF src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo -c -o src/c/libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
1025 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo
1026 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/PutScilabVariable.c' object='src/c/libsciui_data_algo_la-PutScilabVariable.lo' libtool=yes @AMDEPBACKSLASH@
1027 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1028 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
1029
1030 src/noui_data/libsciui_data_disable_la-noui_data.lo: src/noui_data/noui_data.c
1031 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/noui_data/libsciui_data_disable_la-noui_data.lo -MD -MP -MF src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo -c -o src/noui_data/libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
1032 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo
1033 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/noui_data/noui_data.c' object='src/noui_data/libsciui_data_disable_la-noui_data.lo' libtool=yes @AMDEPBACKSLASH@
1034 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1035 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/noui_data/libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
1036
1037 .cpp.o:
1038 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1039 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1040 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1041 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1042 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1043 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
1044
1045 .cpp.obj:
1046 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1047 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1048 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1049 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1050 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1051 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1052
1053 .cpp.lo:
1054 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1055 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1056 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
1057 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1058 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1059 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
1060
1061 src/jni/libsciui_data_algo_la-BrowseVar.lo: src/jni/BrowseVar.cpp
1062 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libsciui_data_algo_la-BrowseVar.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo -c -o src/jni/libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
1063 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo
1064 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/BrowseVar.cpp' object='src/jni/libsciui_data_algo_la-BrowseVar.lo' libtool=yes @AMDEPBACKSLASH@
1065 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1066 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
1067
1068 src/jni/libsciui_data_algo_la-EditVar.lo: src/jni/EditVar.cpp
1069 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libsciui_data_algo_la-EditVar.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo -c -o src/jni/libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
1070 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo
1071 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/EditVar.cpp' object='src/jni/libsciui_data_algo_la-EditVar.lo' libtool=yes @AMDEPBACKSLASH@
1072 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1073 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
1074
1075 src/jni/libsciui_data_algo_la-FileBrowser.lo: src/jni/FileBrowser.cpp
1076 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libsciui_data_algo_la-FileBrowser.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo -c -o src/jni/libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
1077 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo
1078 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/FileBrowser.cpp' object='src/jni/libsciui_data_algo_la-FileBrowser.lo' libtool=yes @AMDEPBACKSLASH@
1079 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1080 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
1081
1082 src/cpp/libsciui_data_algo_la-BrowseVarManager.lo: src/cpp/BrowseVarManager.cpp
1083 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciui_data_algo_la-BrowseVarManager.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Tpo -c -o src/cpp/libsciui_data_algo_la-BrowseVarManager.lo `test -f 'src/cpp/BrowseVarManager.cpp' || echo '$(srcdir)/'`src/cpp/BrowseVarManager.cpp
1084 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Tpo src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo
1085 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/BrowseVarManager.cpp' object='src/cpp/libsciui_data_algo_la-BrowseVarManager.lo' libtool=yes @AMDEPBACKSLASH@
1086 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1087 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciui_data_algo_la-BrowseVarManager.lo `test -f 'src/cpp/BrowseVarManager.cpp' || echo '$(srcdir)/'`src/cpp/BrowseVarManager.cpp
1088
1089 src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo: src/cpp/FileBrowserChDir.cpp
1090 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo -c -o src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
1091 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo
1092 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/FileBrowserChDir.cpp' object='src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo' libtool=yes @AMDEPBACKSLASH@
1093 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1094 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
1095
1096 sci_gateway/cpp/libsciui_data_la-sci_editvar.lo: sci_gateway/cpp/sci_editvar.cpp
1097 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_editvar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
1098 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Plo
1099 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_editvar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_editvar.lo' libtool=yes @AMDEPBACKSLASH@
1100 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1101 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
1102
1103 sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo: sci_gateway/cpp/sci_browsevar.cpp
1104 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
1105 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo
1106 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_browsevar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo' libtool=yes @AMDEPBACKSLASH@
1107 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1108 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
1109
1110 sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo: sci_gateway/cpp/sci_filebrowser.cpp
1111 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
1112 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo
1113 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_filebrowser.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo' libtool=yes @AMDEPBACKSLASH@
1114 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1115 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
1116
1117 sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo: sci_gateway/cpp/sci_updatebrowsevar.cpp
1118 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
1119 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo
1120 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_updatebrowsevar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo' libtool=yes @AMDEPBACKSLASH@
1121 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1122 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
1123
1124 sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo: sci_gateway/cpp/sci_closeEditvar.cpp
1125 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo `test -f 'sci_gateway/cpp/sci_closeEditvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeEditvar.cpp
1126 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo
1127 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_closeEditvar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo' libtool=yes @AMDEPBACKSLASH@
1128 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1129 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo `test -f 'sci_gateway/cpp/sci_closeEditvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeEditvar.cpp
1130
1131 mostlyclean-libtool:
1132         -rm -f *.lo
1133
1134 clean-libtool:
1135         -rm -rf .libs _libs
1136         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
1137         -rm -rf src/c/.libs src/c/_libs
1138         -rm -rf src/cpp/.libs src/cpp/_libs
1139         -rm -rf src/jni/.libs src/jni/_libs
1140         -rm -rf src/noui_data/.libs src/noui_data/_libs
1141 install-libsciui_data_la_etcDATA: $(libsciui_data_la_etc_DATA)
1142         @$(NORMAL_INSTALL)
1143         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
1144         if test -n "$$list"; then \
1145           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
1146           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit 1; \
1147         fi; \
1148         for p in $$list; do \
1149           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1150           echo "$$d$$p"; \
1151         done | $(am__base_list) | \
1152         while read files; do \
1153           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
1154           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit $$?; \
1155         done
1156
1157 uninstall-libsciui_data_la_etcDATA:
1158         @$(NORMAL_UNINSTALL)
1159         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
1160         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1161         dir='$(DESTDIR)$(libsciui_data_la_etcdir)'; $(am__uninstall_files_from_dir)
1162 install-libsciui_data_la_rootDATA: $(libsciui_data_la_root_DATA)
1163         @$(NORMAL_INSTALL)
1164         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
1165         if test -n "$$list"; then \
1166           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
1167           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit 1; \
1168         fi; \
1169         for p in $$list; do \
1170           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1171           echo "$$d$$p"; \
1172         done | $(am__base_list) | \
1173         while read files; do \
1174           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
1175           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit $$?; \
1176         done
1177
1178 uninstall-libsciui_data_la_rootDATA:
1179         @$(NORMAL_UNINSTALL)
1180         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
1181         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1182         dir='$(DESTDIR)$(libsciui_data_la_rootdir)'; $(am__uninstall_files_from_dir)
1183 install-nobase_libsciui_data_la_iconsDATA: $(nobase_libsciui_data_la_icons_DATA)
1184         @$(NORMAL_INSTALL)
1185         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
1186         if test -n "$$list"; then \
1187           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)'"; \
1188           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)" || exit 1; \
1189         fi; \
1190         $(am__nobase_list) | while read dir files; do \
1191           xfiles=; for file in $$files; do \
1192             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
1193             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
1194           test -z "$$xfiles" || { \
1195             test "x$$dir" = x. || { \
1196               echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
1197               $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir"; }; \
1198             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
1199             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir" || exit $$?; }; \
1200         done
1201
1202 uninstall-nobase_libsciui_data_la_iconsDATA:
1203         @$(NORMAL_UNINSTALL)
1204         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
1205         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
1206         dir='$(DESTDIR)$(libsciui_data_la_iconsdir)'; $(am__uninstall_files_from_dir)
1207
1208 ID: $(am__tagged_files)
1209         $(am__define_uniq_tagged_files); mkid -fID $$unique
1210 tags: tags-am
1211 TAGS: tags
1212
1213 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1214         set x; \
1215         here=`pwd`; \
1216         $(am__define_uniq_tagged_files); \
1217         shift; \
1218         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1219           test -n "$$unique" || unique=$$empty_fix; \
1220           if test $$# -gt 0; then \
1221             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1222               "$$@" $$unique; \
1223           else \
1224             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1225               $$unique; \
1226           fi; \
1227         fi
1228 ctags: ctags-am
1229
1230 CTAGS: ctags
1231 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1232         $(am__define_uniq_tagged_files); \
1233         test -z "$(CTAGS_ARGS)$$unique" \
1234           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1235              $$unique
1236
1237 GTAGS:
1238         here=`$(am__cd) $(top_builddir) && pwd` \
1239           && $(am__cd) $(top_srcdir) \
1240           && gtags -i $(GTAGS_ARGS) "$$here"
1241 cscopelist: cscopelist-am
1242
1243 cscopelist-am: $(am__tagged_files)
1244         list='$(am__tagged_files)'; \
1245         case "$(srcdir)" in \
1246           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1247           *) sdir=$(subdir)/$(srcdir) ;; \
1248         esac; \
1249         for i in $$list; do \
1250           if test -f "$$i"; then \
1251             echo "$(subdir)/$$i"; \
1252           else \
1253             echo "$$sdir/$$i"; \
1254           fi; \
1255         done >> $(top_builddir)/cscope.files
1256
1257 distclean-tags:
1258         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1259
1260 distdir: $(DISTFILES)
1261         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1262         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1263         list='$(DISTFILES)'; \
1264           dist_files=`for file in $$list; do echo $$file; done | \
1265           sed -e "s|^$$srcdirstrip/||;t" \
1266               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1267         case $$dist_files in \
1268           */*) $(MKDIR_P) `echo "$$dist_files" | \
1269                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1270                            sort -u` ;; \
1271         esac; \
1272         for file in $$dist_files; do \
1273           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1274           if test -d $$d/$$file; then \
1275             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1276             if test -d "$(distdir)/$$file"; then \
1277               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1278             fi; \
1279             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1280               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1281               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1282             fi; \
1283             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1284           else \
1285             test -f "$(distdir)/$$file" \
1286             || cp -p $$d/$$file "$(distdir)/$$file" \
1287             || exit 1; \
1288           fi; \
1289         done
1290 check-am: all-am
1291         $(MAKE) $(AM_MAKEFLAGS) check-local
1292 check: $(BUILT_SOURCES)
1293         $(MAKE) $(AM_MAKEFLAGS) check-am
1294 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1295 installdirs:
1296         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciui_data_la_etcdir)" "$(DESTDIR)$(libsciui_data_la_rootdir)" "$(DESTDIR)$(libsciui_data_la_iconsdir)"; do \
1297           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1298         done
1299 install: $(BUILT_SOURCES)
1300         $(MAKE) $(AM_MAKEFLAGS) install-am
1301 install-exec: install-exec-am
1302 install-data: install-data-am
1303 uninstall: uninstall-am
1304
1305 install-am: all-am
1306         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1307
1308 installcheck: installcheck-am
1309 install-strip:
1310         if test -z '$(STRIP)'; then \
1311           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1312             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1313               install; \
1314         else \
1315           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1316             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1317             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1318         fi
1319 mostlyclean-generic:
1320
1321 clean-generic:
1322
1323 distclean-generic:
1324         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1325         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1326         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1327         -rm -f sci_gateway/cpp/$(am__dirstamp)
1328         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1329         -rm -f src/c/$(am__dirstamp)
1330         -rm -f src/cpp/$(DEPDIR)/$(am__dirstamp)
1331         -rm -f src/cpp/$(am__dirstamp)
1332         -rm -f src/jni/$(DEPDIR)/$(am__dirstamp)
1333         -rm -f src/jni/$(am__dirstamp)
1334         -rm -f src/noui_data/$(DEPDIR)/$(am__dirstamp)
1335         -rm -f src/noui_data/$(am__dirstamp)
1336
1337 maintainer-clean-generic:
1338         @echo "This command is intended for maintainers to use"
1339         @echo "it deletes files that may require special tools to rebuild."
1340         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1341 clean: clean-am
1342
1343 clean-am: clean-generic clean-libtool clean-local \
1344         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1345
1346 distclean: distclean-am
1347         -rm -rf sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/cpp/$(DEPDIR) src/jni/$(DEPDIR) src/noui_data/$(DEPDIR)
1348         -rm -f Makefile
1349 distclean-am: clean-am distclean-compile distclean-generic \
1350         distclean-local distclean-tags
1351
1352 dvi: dvi-am
1353
1354 dvi-am:
1355
1356 html: html-am
1357
1358 html-am:
1359
1360 info: info-am
1361
1362 info-am:
1363
1364 install-data-am: install-data-local install-libsciui_data_la_etcDATA \
1365         install-libsciui_data_la_rootDATA \
1366         install-nobase_libsciui_data_la_iconsDATA
1367
1368 install-dvi: install-dvi-am
1369
1370 install-dvi-am:
1371
1372 install-exec-am: install-pkglibLTLIBRARIES
1373
1374 install-html: install-html-am
1375
1376 install-html-am: install-html-local
1377
1378 install-info: install-info-am
1379
1380 install-info-am:
1381
1382 install-man:
1383
1384 install-pdf: install-pdf-am
1385
1386 install-pdf-am:
1387
1388 install-ps: install-ps-am
1389
1390 install-ps-am:
1391
1392 installcheck-am:
1393
1394 maintainer-clean: maintainer-clean-am
1395         -rm -rf sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/cpp/$(DEPDIR) src/jni/$(DEPDIR) src/noui_data/$(DEPDIR)
1396         -rm -f Makefile
1397 maintainer-clean-am: distclean-am maintainer-clean-generic
1398
1399 mostlyclean: mostlyclean-am
1400
1401 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1402         mostlyclean-libtool
1403
1404 pdf: pdf-am
1405
1406 pdf-am:
1407
1408 ps: ps-am
1409
1410 ps-am:
1411
1412 uninstall-am: uninstall-libsciui_data_la_etcDATA \
1413         uninstall-libsciui_data_la_rootDATA \
1414         uninstall-nobase_libsciui_data_la_iconsDATA \
1415         uninstall-pkglibLTLIBRARIES
1416
1417 .MAKE: all check check-am install install-am install-strip
1418
1419 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1420         check-local clean clean-generic clean-libtool clean-local \
1421         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1422         ctags ctags-am distclean distclean-compile distclean-generic \
1423         distclean-libtool distclean-local distclean-tags distdir dvi \
1424         dvi-am html html-am info info-am install install-am \
1425         install-data install-data-am install-data-local install-dvi \
1426         install-dvi-am install-exec install-exec-am install-html \
1427         install-html-am install-html-local install-info \
1428         install-info-am install-libsciui_data_la_etcDATA \
1429         install-libsciui_data_la_rootDATA install-man \
1430         install-nobase_libsciui_data_la_iconsDATA install-pdf \
1431         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1432         install-ps-am install-strip installcheck installcheck-am \
1433         installdirs maintainer-clean maintainer-clean-generic \
1434         mostlyclean mostlyclean-compile mostlyclean-generic \
1435         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1436         uninstall-am uninstall-libsciui_data_la_etcDATA \
1437         uninstall-libsciui_data_la_rootDATA \
1438         uninstall-nobase_libsciui_data_la_iconsDATA \
1439         uninstall-pkglibLTLIBRARIES
1440
1441 .PRECIOUS: Makefile
1442
1443
1444 # This target enables tests for Scilab
1445 check-local: $(top_builddir)/scilab-bin test
1446         if test -d $(mydatadir)/tests; then \
1447           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1448         fi
1449 check-code:
1450         if test -f build.xml; then \
1451                 $(ANT) checkstyle; \
1452         fi
1453         if test -x "$(SPLINT)"; then \
1454                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1455         fi
1456 @NEED_JAVA_TRUE@java:
1457 # Some configurations needs to export JAVA_HOME in the current env
1458 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1459 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1460 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1461 @NEED_JAVA_TRUE@                $(ANT); \
1462 @NEED_JAVA_TRUE@        fi
1463
1464 @NEED_JAVA_TRUE@clean-java:
1465 # Some configurations needs to export JAVA_HOME in the current env
1466 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1467 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1468 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1469 @NEED_JAVA_TRUE@                $(ANT) clean; \
1470 @NEED_JAVA_TRUE@        fi;
1471
1472 # If the user request for the SWIG generation of the wrappers Java => C/C++
1473 # We call the target swig-build on the variable SWIG_WRAPPERS
1474
1475 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1476 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1477 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1478 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1479 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1480 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1481 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) $(SWIG_OPTIONS) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1482 @SWIG_TRUE@             done; \
1483 @SWIG_TRUE@     fi
1484
1485 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1486 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1487 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1488 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1489 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1490 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB) $(SWIG_OPTIONS) -outdir $$SWIG_OUTDIR $$file; \
1491 @SWIG_TRUE@             done; \
1492 @SWIG_TRUE@     fi
1493
1494 # If the user request for the SWIG generation of the wrappers Java => C/C++
1495 # We call the target swig-build on the variable SWIG_WRAPPERS
1496
1497 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1498 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1499 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1500 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1501 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1502 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1503 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1504 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1505 @GIWS_TRUE@                     else \
1506 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1507 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1508 @GIWS_TRUE@                     fi \
1509 @GIWS_TRUE@             done; \
1510 @GIWS_TRUE@     fi
1511
1512 @GIWS_TRUE@giws-exception:
1513 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1514 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1515 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR
1516
1517 macros:
1518         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1519                 echo "Error : Cannot build $< : Scilab has not been built"; \
1520         else \
1521                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1522         fi)
1523
1524 # Removes the macros
1525 clean-macros:
1526 # Removes macros (*.bin generated from .sci)
1527         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1528                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1529                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1530         done
1531
1532 test:
1533 # More tests could be added here
1534         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1535         if test -f build.xml -a $$USEANT -eq 1; then \
1536                 $(ANT) test; \
1537         fi
1538
1539 all-local: $(TARGETS_ALL)
1540
1541 .sci.bin:
1542         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1543         echo "Error : Cannot build $< : Scilab has not been build"; \
1544         else \
1545         echo "Creating $@"; \
1546         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1547         fi )
1548
1549 install-html-local:
1550
1551 install-data-local-local:
1552 # Mainly for javasci
1553         @if test -d $(srcdir)/javadoc; then \
1554                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1555         fi
1556 # If the user wants the help sources to be installed
1557 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1558 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1559 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1560 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1561 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1562 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1563 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1564 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1565 @INSTALL_HELP_XML_TRUE@           done ; \
1566 @INSTALL_HELP_XML_TRUE@         fi; \
1567 @INSTALL_HELP_XML_TRUE@  fi; \
1568 @INSTALL_HELP_XML_TRUE@ done; \
1569 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1570 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1571 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1572 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1573 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1574 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1575 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1576 @INSTALL_HELP_XML_TRUE@           done ; \
1577 @INSTALL_HELP_XML_TRUE@         fi; \
1578 @INSTALL_HELP_XML_TRUE@ fi
1579 install-data-local:
1580 # Install the tests
1581         @echo "-------- Install tests (if any) --------"; \
1582         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1583           if test -d $(srcdir)/$$dir/; then \
1584             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1585                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1586                     if test -d "$(srcdir)/$$dir/$$file"; then \
1587                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1588                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1589                     else \
1590                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1591                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1592                     fi \
1593                   done; \
1594           fi; \
1595         done
1596 # Install the help chapter
1597         @echo "-------- Install the help chapter (if any) --------"; \
1598         for lang in $(HELP_CHAPTERLANG); do \
1599                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1600                 if test -f $$HELPFILE; then \
1601                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1602                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1603                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1604                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1605                 fi; \
1606         done
1607 # Install the demos & examples
1608         @echo "-------- Install demos & examples (if any) --------"; \
1609         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1610           if test -d $(srcdir)/$$dir/; then \
1611             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1612                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1613                     if test -d "$(srcdir)/$$dir/$$file"; then \
1614                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1615                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1616                     else \
1617                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1618                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1619                     fi \
1620                   done; \
1621           fi; \
1622         done
1623 # Install the macros
1624         @echo "-------- Install macros (if any) --------"; \
1625         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1626           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1627                 if test -d $(srcdir)/$$dir/; then \
1628                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1629                         if test -n "$(MACROSSPECIALEXT)"; then \
1630                                 specialExtDir=""; \
1631                                 for specialExt in $(MACROSSPECIALEXT); do \
1632                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1633                                 done; \
1634                                 FILELIST="$$FILELIST $$specialExtDir"; \
1635                         fi; \
1636                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1637                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1638                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1639                   done; \
1640                 fi; \
1641         done
1642 # Install java files (.jar)
1643         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1644         echo "-------- Install jar files --------"; \
1645     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1646           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1647                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1648                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1649           done ; \
1650         fi
1651
1652 ########### CLEAN ###################
1653 # Clean help (generated automatically by Scilab)
1654 # It used to clean the macro (clean-macros) but this was causing
1655 # make clean && make to fail Scilab startup
1656 @NEED_JAVA_TRUE@clean-local: clean-java
1657 @NEED_JAVA_FALSE@clean-local:
1658
1659 distclean-local:
1660         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1661
1662 .PHONY: macros java swig giws
1663
1664 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1665 # Otherwise a system limit (for SysV at least) may be exceeded.
1666 .NOEXPORT: